Constants (Apache Tomcat 10.1.54 API Documentation)
Description: declaration: package: org.apache.tomcat.websocket, class: Constants

# Class Constants

java.lang.Object
org.apache.tomcat.websocket.Constants

public class Constants extends Object
Internal implementation constants.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ABNORMAL_SESSION_CLOSE_SEND_TIMEOUT_PROPERTY`
  `static final String`
  `AUTHORIZATION_HEADER_NAME`
  `static final String`
  `BLOCKING_SEND_TIMEOUT_PROPERTY`
  `static final String`
  `CONNECTION_HEADER_NAME`
  `static final String`
  `CONNECTION_HEADER_VALUE`
  `static final long`
  `DEFAULT_ABNORMAL_SESSION_CLOSE_SEND_TIMEOUT`
  `static final long`
  `DEFAULT_BLOCKING_SEND_TIMEOUT`
  `static final long`
  `DEFAULT_SESSION_CLOSE_TIMEOUT`
  `static final int`
  `FOUND`
  `static final String`
  `HOST_HEADER_NAME`
  `static final List<Extension>`
  `INSTALLED_EXTENSIONS`
  `static final long`
  `IO_TIMEOUT_MS_DEFAULT`
  `static final String`
  `IO_TIMEOUT_MS_PROPERTY`
  Property name to set to configure the timeout (in milliseconds) when establishing a WebSocket connection to server.
  `static final String`
  `LOCATION_HEADER_NAME`
  `static final int`
  `MAX_REDIRECTIONS_DEFAULT`
  `static final String`
  `MAX_REDIRECTIONS_PROPERTY`
  `static final int`
  `MOVED_PERMANENTLY`
  `static final int`
  `MULTIPLE_CHOICES`
  `static final byte`
  `OPCODE_BINARY`
  `static final byte`
  `OPCODE_CLOSE`
  `static final byte`
  `OPCODE_CONTINUATION`
  `static final byte`
  `OPCODE_PING`
  `static final byte`
  `OPCODE_PONG`
  `static final byte`
  `OPCODE_TEXT`
  `static final String`
  `ORIGIN_HEADER_NAME`
  `static final String`
  `PROXY_AUTHENTICATE_HEADER_NAME`
  `static final int`
  `PROXY_AUTHENTICATION_REQUIRED`
  `static final String`
  `PROXY_AUTHORIZATION_HEADER_NAME`
  `static final String`
  `READ_IDLE_TIMEOUT_MS`
  `static final int`
  `SEE_OTHER`
  `static final String`
  `SESSION_CLOSE_TIMEOUT_PROPERTY`
  `static final String`
  `SSL_CONTEXT_PROPERTY`
  Deprecated, for removal: This API element is subject to removal in a future version.
  This will be removed in Tomcat 11.
  `static final String`
  `SSL_PROTOCOLS_PROPERTY`
  Deprecated, for removal: This API element is subject to removal in a future version.
  This will be removed in Tomcat 11.
  `static final String`
  `SSL_TRUSTSTORE_PROPERTY`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `static final String`
  `SSL_TRUSTSTORE_PWD_DEFAULT`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `static final String`
  `SSL_TRUSTSTORE_PWD_PROPERTY`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `static final int`
  `TEMPORARY_REDIRECT`
  `static final int`
  `UNAUTHORIZED`
  `static final String`
  `UPGRADE_HEADER_NAME`
  `static final String`
  `UPGRADE_HEADER_VALUE`
  `static final int`
  `USE_PROXY`
  `static final String`
  `WRITE_IDLE_TIMEOUT_MS`
  `static final String`
  `WS_AUTHENTICATION_PASSWORD`
  `static final String`
  `WS_AUTHENTICATION_PROXY_PASSWORD`
  `static final String`
  `WS_AUTHENTICATION_PROXY_REALM`
  `static final String`
  `WS_AUTHENTICATION_PROXY_USER_NAME`
  `static final String`
  `WS_AUTHENTICATION_REALM`
  `static final String`
  `WS_AUTHENTICATION_USER_NAME`
  `static final String`
  `WS_EXTENSIONS_HEADER_NAME`
  `static final String`
  `WS_KEY_HEADER_NAME`
  `static final String`
  `WS_PROTOCOL_HEADER_NAME`
  `static final String`
  `WS_VERSION_HEADER_NAME`
  `static final String`
  `WS_VERSION_HEADER_VALUE`
  `static final String`
  `WWW_AUTHENTICATE_HEADER_NAME`

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OPCODE_CONTINUATION

    public static final byte OPCODE_CONTINUATION
    See Also:
      - Constant Field Values

  - ### OPCODE_TEXT

    public static final byte OPCODE_TEXT
    See Also:
      - Constant Field Values

  - ### OPCODE_BINARY

    public static final byte OPCODE_BINARY
    See Also:
      - Constant Field Values

  - ### OPCODE_CLOSE

    public static final byte OPCODE_CLOSE
    See Also:
      - Constant Field Values

  - ### OPCODE_PING

    public static final byte OPCODE_PING
    See Also:
      - Constant Field Values

  - ### OPCODE_PONG

    public static final byte OPCODE_PONG
    See Also:
      - Constant Field Values

  - ### SSL_PROTOCOLS_PROPERTY

    @Deprecated(forRemoval=true, since="Tomcat 10.1.x") public static final String SSL_PROTOCOLS_PROPERTY
    Deprecated, for removal: This API element is subject to removal in a future version.
    This will be removed in Tomcat 11. Use `ClientEndpointConfig.getSSLContext()`
    Property name to set to configure the value that is passed to `SSLEngine.setEnabledProtocols(String[])`. The value should be a comma separated string.
    See Also:
      - Constant Field Values

  - ### SSL_TRUSTSTORE_PROPERTY

    @Deprecated(forRemoval=true, since="Tomcat 10.1.x") public static final String SSL_TRUSTSTORE_PROPERTY
    Deprecated, for removal: This API element is subject to removal in a future version.
    See Also:
      - Constant Field Values

  - ### SSL_TRUSTSTORE_PWD_PROPERTY

    @Deprecated(forRemoval=true, since="Tomcat 10.1.x") public static final String SSL_TRUSTSTORE_PWD_PROPERTY
    Deprecated, for removal: This API element is subject to removal in a future version.
    See Also:
      - Constant Field Values

  - ### SSL_TRUSTSTORE_PWD_DEFAULT

    @Deprecated(forRemoval=true, since="Tomcat 10.1.x") public static final String SSL_TRUSTSTORE_PWD_DEFAULT
    Deprecated, for removal: This API element is subject to removal in a future version.
    See Also:
      - Constant Field Values

  - ### SSL_CONTEXT_PROPERTY

    @Deprecated(forRemoval=true, since="Tomcat 10.1.x") public static final String SSL_CONTEXT_PROPERTY
    Deprecated, for removal: This API element is subject to removal in a future version.
    This will be removed in Tomcat 11. Use `ClientEndpointConfig.getSSLContext()`
    Property name to set to configure used SSLContext. The value should be an instance of SSLContext. If this property is present, the SSL_TRUSTSTORE* properties are ignored.
    See Also:
      - Constant Field Values

  - ### IO_TIMEOUT_MS_PROPERTY

    public static final String IO_TIMEOUT_MS_PROPERTY
    Property name to set to configure the timeout (in milliseconds) when establishing a WebSocket connection to server. The default is `IO_TIMEOUT_MS_DEFAULT`.
    See Also:
      - Constant Field Values

  - ### IO_TIMEOUT_MS_DEFAULT

    public static final long IO_TIMEOUT_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### MAX_REDIRECTIONS_PROPERTY

    public static final String MAX_REDIRECTIONS_PROPERTY
    See Also:
      - Constant Field Values

  - ### MAX_REDIRECTIONS_DEFAULT

    public static final int MAX_REDIRECTIONS_DEFAULT
    See Also:
      - Constant Field Values

  - ### HOST_HEADER_NAME

    public static final String HOST_HEADER_NAME
    See Also:
      - Constant Field Values

  - ### UPGRADE_HEADER_NAME

    public static final String UPGRADE_HEADER_NAME
    See Also:
      - Constant Field Values

  - ### UPGRADE_HEADER_VALUE

    public static final String UPGRADE_HEADER_VALUE
    See Also:
      - Constant Field Values

  - ### ORIGIN_HEADER_NAME

    public static final String ORIGIN_HEADER_NAME
    See Also:
      - Constant Field Values

  - ### CONNECTION_HEADER_NAME

    public static final String CONNECTION_HEADER_NAME
    See Also:
      - Constant Field Values

  - ### CONNECTION_HEADER_VALUE

    public static final String CONNECTION_HEADER_VALUE
    See Also:
      - Constant Field Values

  - ### LOCATION_HEADER_NAME

    public static final String LOCATION_HEADER_NAME
    See Also:
      - Constant Field Values

  - ### AUTHORIZATION_HEADER_NAME

    public static final String AUTHORIZATION_HEADER_NAME
    See Also:
      - Constant Field Values

  - ### WWW_AUTHENTICATE_HEADER_NAME

    public static final String WWW_AUTHENTICATE_HEADER_NAME
    See Also:
      - Constant Field Values

  - ### PROXY_AUTHORIZATION_HEADER_NAME

    public static final String PROXY_AUTHORIZATION_HEADER_NAME
    See Also:
      - Constant Field Values

  - ### PROXY_AUTHENTICATE_HEADER_NAME

    public static final String PROXY_AUTHENTICATE_HEADER_NAME
    See Also:
      - Constant Field Values

  - ### WS_VERSION_HEADER_NAME

    public static final String WS_VERSION_HEADER_NAME
    See Also:
      - Constant Field Values

  - ### WS_VERSION_HEADER_VALUE

    public static final String WS_VERSION_HEADER_VALUE
    See Also:
      - Constant Field Values

  - ### WS_KEY_HEADER_NAME

    public static final String WS_KEY_HEADER_NAME
    See Also:
      - Constant Field Values

  - ### WS_PROTOCOL_HEADER_NAME

    public static final String WS_PROTOCOL_HEADER_NAME
    See Also:
      - Constant Field Values

  - ### WS_EXTENSIONS_HEADER_NAME

    public static final String WS_EXTENSIONS_HEADER_NAME
    See Also:
      - Constant Field Values

  - ### MULTIPLE_CHOICES

    public static final int MULTIPLE_CHOICES
    See Also:
      - Constant Field Values

  - ### MOVED_PERMANENTLY

    public static final int MOVED_PERMANENTLY
    See Also:
      - Constant Field Values

  - ### FOUND

    public static final int FOUND
    See Also:
      - Constant Field Values

  - ### SEE_OTHER

    public static final int SEE_OTHER
    See Also:
      - Constant Field Values

  - ### USE_PROXY

    public static final int USE_PROXY
    See Also:
      - Constant Field Values

  - ### TEMPORARY_REDIRECT

    public static final int TEMPORARY_REDIRECT
    See Also:
      - Constant Field Values

  - ### UNAUTHORIZED

    public static final int UNAUTHORIZED
    See Also:
      - Constant Field Values

  - ### PROXY_AUTHENTICATION_REQUIRED

    public static final int PROXY_AUTHENTICATION_REQUIRED
    See Also:
      - Constant Field Values

  - ### BLOCKING_SEND_TIMEOUT_PROPERTY

    public static final String BLOCKING_SEND_TIMEOUT_PROPERTY
    See Also:
      - Constant Field Values

  - ### DEFAULT_BLOCKING_SEND_TIMEOUT

    public static final long DEFAULT_BLOCKING_SEND_TIMEOUT
    See Also:
      - Constant Field Values

  - ### SESSION_CLOSE_TIMEOUT_PROPERTY

    public static final String SESSION_CLOSE_TIMEOUT_PROPERTY
    See Also:
      - Constant Field Values

  - ### DEFAULT_SESSION_CLOSE_TIMEOUT

    public static final long DEFAULT_SESSION_CLOSE_TIMEOUT

  - ### ABNORMAL_SESSION_CLOSE_SEND_TIMEOUT_PROPERTY

    public static final String ABNORMAL_SESSION_CLOSE_SEND_TIMEOUT_PROPERTY
    See Also:
      - Constant Field Values

  - ### DEFAULT_ABNORMAL_SESSION_CLOSE_SEND_TIMEOUT

    public static final long DEFAULT_ABNORMAL_SESSION_CLOSE_SEND_TIMEOUT
    See Also:
      - Constant Field Values

  - ### READ_IDLE_TIMEOUT_MS

    public static final String READ_IDLE_TIMEOUT_MS
    See Also:
      - Constant Field Values

  - ### WRITE_IDLE_TIMEOUT_MS

    public static final String WRITE_IDLE_TIMEOUT_MS
    See Also:
      - Constant Field Values

  - ### WS_AUTHENTICATION_USER_NAME

    public static final String WS_AUTHENTICATION_USER_NAME
    See Also:
      - Constant Field Values

  - ### WS_AUTHENTICATION_PASSWORD

    public static final String WS_AUTHENTICATION_PASSWORD
    See Also:
      - Constant Field Values

  - ### WS_AUTHENTICATION_REALM

    public static final String WS_AUTHENTICATION_REALM
    See Also:
      - Constant Field Values

  - ### WS_AUTHENTICATION_PROXY_USER_NAME

    public static final String WS_AUTHENTICATION_PROXY_USER_NAME
    See Also:
      - Constant Field Values

  - ### WS_AUTHENTICATION_PROXY_PASSWORD

    public static final String WS_AUTHENTICATION_PROXY_PASSWORD
    See Also:
      - Constant Field Values

  - ### WS_AUTHENTICATION_PROXY_REALM

    public static final String WS_AUTHENTICATION_PROXY_REALM
    See Also:
      - Constant Field Values

  - ### INSTALLED_EXTENSIONS

    public static final List<Extension> INSTALLED_EXTENSIONS